Reject pending question request
Reject a pending question request owned by a session.
POST
/api/session/{sessionID}/question/{requestID}/rejectPath parameters
sessionIDobjectrequiredrequestIDobjectrequiredResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError | QuestionNotFoundError
Any of:
QuestionNotFoundError
_tagstringrequiredAllowed:
QuestionNotFoundErrorrequestIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X POST "/api/session/%5Bobject%20Object%5D/question/%5Bobject%20Object%5D/reject"const response = await fetch("/api/session/%5Bobject%20Object%5D/question/%5Bobject%20Object%5D/reject", {
method: "POST"
});import requests
response = requests.post(
"/api/session/%5Bobject%20Object%5D/question/%5Bobject%20Object%5D/reject",
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "QuestionNotFoundError",
"requestID": "string",
"message": "string"
}